Subject: Re: 3.14 regression: huge latency in read/select on tun

From: Ortwin Glück <[email-masked]>
Date: Thu, 03 Apr 2014 09:52:26 +0200

On 02.04.2014 18:42, Eric Dumazet wrote:
> You could post a tcpdump maybe ?

This is a dump from on the tun interface (traffic inside the tunnel).
It's an scp upload of a 2MB file. I aborted after a while when not much
progress was seen anymore, but you get the idea.

What I see:
- Frame 28: long delay because I had to enter the key password
- Frame 31: the packets seems to be out of order. It has a sequence
number that is far ahead of previously sent sequence no's. Some
duplicates and retransmissions follow. That pattern repeats randomly all
over the trace.
- from Frame 73 on: ping pong of ACKs and data, while the data is
delayed by ~200ms caused by the select(). The ping pong also shows that
there are virtually no packets in flight (see also Window size).